//
//  TextViewController.m
//  Orson
//
//  Created by Mark Meretzky on 11/22/13.
//  Copyright (c) 2013 Mark Meretzky. All rights reserved.
//

#import "TextViewController.h"

@interface TextViewController ()

@end

@implementation TextViewController

- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
		self.title = @"Text";
		self.tabBarItem.image = [UIImage imageNamed: @"Text.png"];
		self.edgesForExtendedLayout = UIRectEdgeNone;
		self.extendedLayoutIncludesOpaqueBars = YES;
	}
	return self;
}

- (void) loadView
{
	CGRect frame = [UIScreen mainScreen].applicationFrame;
	UITextView *textView = [[UITextView alloc] initWithFrame: frame];
	textView.backgroundColor = [UIColor blackColor];
	textView.textColor = [UIColor whiteColor];
	textView.font = [UIFont fontWithName: @"Times New Roman" size: 20];
	textView.editable = NO;
	textView.autoresizesSubviews = YES;
	textView.autoresizingMask = UIViewAutoresizingFlexibleTopMargin
		| UIViewAutoresizingFlexibleHeight;

	NSBundle *bundle = [NSBundle mainBundle];
	if (bundle == nil) {
		NSLog(@"Could not get main bundle.");
		return;
	}

	//Graham Greene
	NSString *path = [bundle pathForResource: @"ThirdMan" ofType: @"txt"];
	if (path == nil) {
		NSLog(@"Could not get path for ThirdMan.txt.");
		return;
	}

	NSError *error = nil;
	textView.text = [NSString stringWithContentsOfFile: path
		encoding: NSUTF8StringEncoding
		error: &error
	];
	if (textView.text == nil) {
		NSLog(@"Could not get contents of file: %@", error);
		return;
	}
	self.edgesForExtendedLayout = UIRectEdgeLeft | UIRectEdgeBottom | UIRectEdgeRight;
	self.view = textView;
	self.edgesForExtendedLayout = UIRectEdgeLeft | UIRectEdgeBottom | UIRectEdgeRight;
}

- (void) viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.
	// self.topLayoutGuide.length == 0 here.
	self.edgesForExtendedLayout = UIRectEdgeLeft | UIRectEdgeBottom | UIRectEdgeRight;	
}

- (void) viewWillAppear: (BOOL) animated
{
	[super viewWillAppear: animated];
	NSLog(@"viewWillAppear: self.topLayoutGuide.length = %g, self.view.frame.origin.y == %g",
		self.topLayoutGuide.length, self.view.frame.origin.y);
	[self.view layoutSubviews];
}

- (void) viewWillLayoutSubviews
{
	//NSLog(@"viewDidLayoutSubviews self.topLayoutGuide.length = %g", self.topLayoutGuide.length);
	self.edgesForExtendedLayout = UIRectEdgeLeft | UIRectEdgeBottom | UIRectEdgeRight;
	//[super viewWillLayoutSubviews];
	
	self.view.frame = CGRectMake(
		self.view.frame.origin.x,
		self.topLayoutGuide.length,
		self.view.frame.size.width,
		self.view.frame.size.height
	);
}

- (void) viewDidLayoutSubviews
{
	NSLog(@"viewDidLayoutSubviews self.topLayoutGuide.length = %g, self.view.frame.origin.y == %g",
		  self.topLayoutGuide.length, self.view.frame.origin.y);
		  
	self.edgesForExtendedLayout = UIRectEdgeLeft | UIRectEdgeBottom | UIRectEdgeRight;
	[super viewDidLayoutSubviews];
	self.edgesForExtendedLayout = UIRectEdgeLeft | UIRectEdgeBottom | UIRectEdgeRight;
	//NSLog(@"viewDidLayoutSubviews superview == %@", self.view.superview);

	self.view.frame = CGRectMake(
		self.view.frame.origin.x,
		self.topLayoutGuide.length,
		self.view.frame.size.width,
		self.view.frame.size.height
	);
}

- (UIStatusBarStyle) preferredStatusBarStyle {
	return UIStatusBarStyleLightContent; //because self.view has black background
}

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

@end
