//
//  ThemeViewController.m
//  Orson
//
//  Created by Mark Meretzky on 11/22/13.
//  Copyright (c) 2013 Mark Meretzky. All rights reserved.
//

#import "ThemeViewController.h"

@interface ThemeViewController ()

@end

@implementation ThemeViewController

- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
		self.title = @"Theme";
		self.tabBarItem.image = [UIImage imageNamed: @"Theme.png"];

		NSBundle *bundle = [NSBundle mainBundle];
		if (bundle == nil) {
			NSLog(@"Could not get main bundle.");
			return nil;
		}

		//Anton Karas
		NSString *path = [bundle pathForResource: @"theme" ofType: @"mp3"];
		if (path == nil) {
			NSLog(@"Could not get path for ThirdMan.txt.");
			return nil;
		}

		NSURL *url = [NSURL fileURLWithPath: path];
		NSError *error = nil;
		audioPlayer = [[AVAudioPlayer alloc] initWithContentsOfURL: url error: &error];
		if (audioPlayer == nil) {
			NSLog(@"error == %@", error);
			return nil;
		}
		audioPlayer.numberOfLoops = -1; //infinite

	}
	return self;
}

- (void) viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void) play
{
	if (![audioPlayer play]) {
		NSLog(@"could not play %@", audioPlayer.url);
	}
}

- (void) viewWillDisappear: (BOOL) animated
{
	[audioPlayer stop];
	
	if (![audioPlayer prepareToPlay]) {
		NSLog(@"could not prepare to play %@", audioPlayer.url);
	}
}

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

@end
